/* Gallery Section */
*{
    scroll-behavior: auto;
}

.gallery-section{
    position: relative;
    overflow: hidden;
    min-height: calc(100vh - 75px);
}

.img-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
    gap: 20px;
}

.img{
    width: 100%;
    aspect-ratio: 16 / 9;
    overflow: hidden;
}

.img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 2px;
    cursor: pointer;
}

.gallery-section-bg{
    position: absolute;
    width: 100%;
    height: calc(100vh - 75px);
    top: 0%;
    left: 0%;
    background-color: black;
    opacity: 0;
    display: flex;
    pointer-events: none;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease;
}

.gallery-section-bg.active{
    opacity: 1;
    pointer-events: all;
    position: fixed;
    top: 75px;
    z-index: 9999;
}

.gallery-section-bg img{
    width: 90%;
    max-width: 500px;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: center;
    border-radius: 5px;
    background-color: grey;
    border: 2px solid #fff;
}

@media (max-width: 750px) {
    .img-grid{
        grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    }
}